Subject: [PATCH] arm: omap: complete removal of machine_desc.io_pg_offst and .phys_io

From: [email-masked] (Tony Lindgren)
Date: Mon, 18 Oct 2010 14:45:22 -0700

* Russell King - ARM Linux <[email-masked]> [101018 07:13]:
> On Mon, Oct 18, 2010 at 03:12:30PM +0100, Russell King - ARM Linux wrote:
> > On Mon, Oct 18, 2010 at 06:27:36PM +0530, Anand Gadiyar wrote:
> > > Commit 861bd81ee6 in linux-next as of 20101018 (arm: remove
> > > machine_desc.io_pg_offst and .phys_io) missed out on updating
> > > a few boards. This causes the build of omap2plus_defconfig
> > > to fail. Fix this.
> > 
> > Not quite true.  The patch merged into my tree eliminates io_pg_offst and
> > phys_io for everything that is in my tree.
> > 
> > For new board support code which isn't in my tree, there is a problem -
> > patches to it can't be applied to my tree.
> > 
> > However, applying these patches to the trees which have the new code in
> > won't have the other changes related to the removal of io_pg_offst, and
> > so the support code will subtly break until it's all merged together.
> > 
> > There's two solutions to this.  One is to wait merging new board code
> > until after this merge window.  The other is to ensure that new board
> > code is in _my_ tree before the io_pg_offst changes were submitted...
> 
> I'm going to drop the io_pg_offst patches for a couple of days.  If
> this new board support can be sorted out to come into my tree in the
> next 24 hours, then I'm sure we can get this fixed properly.
> 
> I don't think I can afford to hold the io_pg_offst patches for more
> than 48 hours though, so Wednesday evening they'll be merged whatever.

Go ahead, I'll patch up accordingly in the omap tree so it will all
merge nicely in for-next and for the merge window.

Regards,

Tony